insanelab/apidocs 问题修复 & 功能扩展

解决BUG、新增功能、兼容多环境部署,快速响应你的开发需求

邮箱:yvsm@zunyunkeji.com | QQ:316430983 | 微信:yvsm316

insanelab/apidocs

最新稳定版本:2.1.3

Composer 安装命令:

composer require insanelab/apidocs

包简介

Laravel API Documentation Generator

README 文档

README

This Laravel package provides an API Documentation generator based upon your Routes, Form requests with optional Controller Method DocBlock comments.

Installation

Laravel 5.0

Begin by installing this package through Composer. Edit your project's composer.json file to require f2m2/apidocs.

"require-dev": {
    "insanelab/apidocs": "dev-master"
}

Next, update Composer from the Terminal:

composer update --dev

Once the packaage has installed, the final step is to add the service provider. Open config/app.php, and add a new item to the providers array.

'Insanelab\Apidocs\ApidocsServiceProvider',

Run the artisan command from the Terminal to see the new apidocs command.

php artisan apidocs:generate

Create a copy of the API Docs Config by running this artisan command:

php artisan vendor:publish

Laravel 4.2

Our fork does not support Laravel below 5.0

Notes

Route Prefix

Create a prefix for your routes with an API Version. i.e. 'api/v1

Route::group(['prefix' => 'api/v1'], function(){
     // ...
});
DocBlock Example

Below is a docBlock example.

/**
* Display the specified resource.
* GET /user/{id}
*
* @param integer $id The id of a User
* @return Response
*/
public function show($id)
{
    // Display User
}

License

See LICENSE file.

统计信息

  • 总下载量: 5.12k
  • 月度下载量: 0
  • 日度下载量: 0
  • 收藏数: 2
  • 点击次数: 3
  • 依赖项目数: 0
  • 推荐数: 0

GitHub 信息

  • Stars: 2
  • Watchers: 2
  • Forks: 29
  • 开发语言: PHP

其他信息

  • 授权协议: MIT
  • 更新时间: 2017-09-26

承接程序开发

PHP开发

VUE

Vue开发

前端开发

小程序开发

公众号开发

系统定制

数据库设计

云部署

网站建设

安全加固